Skip to main content

Mappings & Fields

A datasource's mappings are its scanned tables and views; each mapping has fields (columns). Mappings are addressed by {schemaId}+{mappingId} (e.g. public+categories).

GET /api/datasources/{id}/mappings

Search and page through a datasource's mappings.

Query Parameters:

ParameterTypeDefaultDescription
qstring-Match on mapping name
limitinteger30Results per page
startinteger0Pagination offset

Response:

A paginated HAL collection under _embedded["inf:mapping"].

Search and page through mappingsGET /api/datasources/admin:northwind/mappings?limit=5
A paginated HAL collection under _embedded["inf:mapping"]. q matches the mapping name.
Response · 200
{
"_links": {
"self": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings?sort=name&limit=5&start=0&show=visible"
},
"next": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings?sort=name&limit=5&start=5&show=visible"
}
},
"start": 0,
"count": 5,
"total": 24,
"aggs": {
"visibility": {
"all": 24,
"visible": 24
},
"sets": {
"_any": {
"label": "Any",
"count": 24
}
}
},
"lastScanned": "2026-01-15T16:20:00.000Z",
"lastModified": "2026-01-15T16:20:00.000Z",
"_embedded": {
"inf:mapping": [
{
"_links": {
"self": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public+categories"
},
"inf:fields": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+categories/fields{?sort,limit,start,q,show,dataType,showEmbedded,expand,includeCustom}",
"templated": true
},
"inf:links": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+categories/links{?sort,limit,start,q,show}",
"templated": true
},
"inf:references": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+categories/references{?sort,limit,start,q,show}",
"templated": true
},
"inf:link-types": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+categories/link-types"
},
"inf:saved-query-filters": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+categories/saved-query-filters{?sort,limit,start,q}",
"templated": true
},
"inf:criteria-nodes": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+categories/criteria-nodes"
},
"inf:scan": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+categories/_scan"
}
},
"id": "00000000-0000-4000-8000-000000000001:public+categories",
"name": "Categories",
"permissions": {
"write": true,
"hide": true,
"delete": true,
"rename": true,
"changeSet": true,
"restoreDefaults": true,
"scan": true
},
"datasourceId": "00000000-0000-4000-8000-000000000001",
"schemaId": "public",
"mappingId": "categories",
"source": "pg",
"sourceId": null,
"description": null,
"hidden": false,
"records": 8,
"size": "524288",
"data": {
"size": "524288",
"records": "8",
"schemaId": "public",
"mappingId": "categories"
},
"createdAt": "2026-01-15T16:20:00.000Z",
"updatedAt": "2026-01-15T16:20:00.000Z",
"_changes": null,
"tenant": "acme",
"_embedded": {
"inf:mapping-set": []
}
},
{
"_links": {
"self": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public+customercustomerdemo"
},
"inf:fields": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customercustomerdemo/fields{?sort,limit,start,q,show,dataType,showEmbedded,expand,includeCustom}",
"templated": true
},
"inf:links": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customercustomerdemo/links{?sort,limit,start,q,show}",
"templated": true
},
"inf:references": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customercustomerdemo/references{?sort,limit,start,q,show}",
"templated": true
},
"inf:link-types": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customercustomerdemo/link-types"
},
"inf:saved-query-filters": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customercustomerdemo/saved-query-filters{?sort,limit,start,q}",
"templated": true
},
"inf:criteria-nodes": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customercustomerdemo/criteria-nodes"
},
"inf:scan": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customercustomerdemo/_scan"
}
},
"id": "00000000-0000-4000-8000-000000000001:public+customercustomerdemo",
"name": "Customercustomerdemo",
"permissions": {
"write": true,
"hide": true,
"delete": true,
"rename": true,
"changeSet": true,
"restoreDefaults": true,
"scan": true
},
"datasourceId": "00000000-0000-4000-8000-000000000001",
"schemaId": "public",
"mappingId": "customercustomerdemo",
"source": "pg",
"sourceId": null,
"description": null,
"hidden": false,
"records": 0,
"size": "524288",
"data": {
"size": "524288",
"records": "0",
"schemaId": "public",
"mappingId": "customercustomerdemo"
},
"createdAt": "2026-01-15T16:20:00.000Z",
"updatedAt": "2026-01-15T16:20:00.000Z",
"_changes": null,
"tenant": "acme",
"_embedded": {
"inf:mapping-set": []
}
},
{
"_links": {
"self": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public+customerdemographics"
},
"inf:fields": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customerdemographics/fields{?sort,limit,start,q,show,dataType,showEmbedded,expand,includeCustom}",
"templated": true
},
"inf:links": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customerdemographics/links{?sort,limit,start,q,show}",
"templated": true
},
"inf:references": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customerdemographics/references{?sort,limit,start,q,show}",
"templated": true
},
"inf:link-types": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customerdemographics/link-types"
},
"inf:saved-query-filters": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customerdemographics/saved-query-filters{?sort,limit,start,q}",
"templated": true
},
"inf:criteria-nodes": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customerdemographics/criteria-nodes"
},
"inf:scan": {
"href": "https://informer.example.com/api/datasources/admin:northwind/mappings/public+customerdemographics/_scan"
}
},
"id": "00000000-0000-4000-8000-000000000001:public+customerdemographics",
"name": "Customerdemographics",
"permissions": {
"write": true,
"hide": true,
"delete": true,
"rename": true,
"changeSet": true,
"restoreDefaults": true,
"scan": true
},
"datasourceId": "00000000-0000-4000-8000-000000000001",
"schemaId": "public",
"mappingId": "customerdemographics",
"source": "pg",
"sourceId": null,
"description": null,
"hidden": false,
"records": 0,
"size": "524288",
"data": {
"size": "524288",
"records": "0",
"schemaId": "public",
"mappingId": "customerdemographics"
},
"createdAt": "2026-01-15T16:20:00.000Z",
"updatedAt": "2026-01-15T16:20:00.000Z",
"_changes": null,
"tenant": "acme",
"_embedded": {
"inf:mapping-set": []
}
},
"… 2 more items (5 total) — omitted from docs"
]
}
}
Captured from the API examples test suite; ids and timestamps are normalized.

GET /api/datasources/{id}/mappings-list

Get the complete mapping list (flat array) with record counts and metadata.

List mappingsGET /api/datasources/admin:northwind/mappings-list
A flat array of the datasource’s mappings (tables/views) with record counts and metadata.
Response · 200
[
{
"id": "00000000-0000-4000-8000-000000000001:public+categories",
"datasourceId": "00000000-0000-4000-8000-000000000001",
"restId": "public+categories",
"name": "Categories",
"description": null,
"mappingId": "categories",
"schemaId": "public",
"records": 8,
"hidden": false,
"size": 524288,
"createdAt": "2026-01-15T16:20:00.000Z",
"updatedAt": "2026-01-15T16:20:00.000Z",
"_changes": null,
"data": {
"size": "524288",
"records": "8",
"schemaId": "public",
"mappingId": "categories"
},
"permissions": {
"write": true,
"hide": true,
"delete": true,
"rename": true,
"changeSet": true,
"restoreDefaults": true,
"scan": true
}
},
{
"id": "00000000-0000-4000-8000-000000000001:public+customercustomerdemo",
"datasourceId": "00000000-0000-4000-8000-000000000001",
"restId": "public+customercustomerdemo",
"name": "Customercustomerdemo",
"description": null,
"mappingId": "customercustomerdemo",
"schemaId": "public",
"records": 0,
"hidden": false,
"size": 524288,
"createdAt": "2026-01-15T16:20:00.000Z",
"updatedAt": "2026-01-15T16:20:00.000Z",
"_changes": null,
"data": {
"size": "524288",
"records": "0",
"schemaId": "public",
"mappingId": "customercustomerdemo"
},
"permissions": {
"write": true,
"hide": true,
"delete": true,
"rename": true,
"changeSet": true,
"restoreDefaults": true,
"scan": true
}
},
{
"id": "00000000-0000-4000-8000-000000000001:public+customerdemographics",
"datasourceId": "00000000-0000-4000-8000-000000000001",
"restId": "public+customerdemographics",
"name": "Customerdemographics",
"description": null,
"mappingId": "customerdemographics",
"schemaId": "public",
"records": 0,
"hidden": false,
"size": 524288,
"createdAt": "2026-01-15T16:20:00.000Z",
"updatedAt": "2026-01-15T16:20:00.000Z",
"_changes": null,
"data": {
"size": "524288",
"records": "0",
"schemaId": "public",
"mappingId": "customerdemographics"
},
"permissions": {
"write": true,
"hide": true,
"delete": true,
"rename": true,
"changeSet": true,
"restoreDefaults": true,
"scan": true
}
},
"… 21 more items (24 total) — omitted from docs"
]
Captured from the API examples test suite; ids and timestamps are normalized.

GET /api/datasources/{id}/mappings-content

Get per-mapping content counts, keyed by mapping id.

Get per-mapping content countsGET /api/datasources/admin:northwind/mappings-content
Counts of the datasets/reports/etc. that use each mapping, keyed by mapping id.
Response · 200
{
"_links": {
"self": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings-content"
}
},
"00000000-0000-4000-8000-000000000001:public+categories": {
"id": "00000000-0000-4000-8000-000000000001:public+categories",
"fieldCount": 4
},
"00000000-0000-4000-8000-000000000001:public+customercustomerdemo": {
"id": "00000000-0000-4000-8000-000000000001:public+customercustomerdemo",
"fieldCount": 2
},
"00000000-0000-4000-8000-000000000001:public+customerdemographics": {
"id": "00000000-0000-4000-8000-000000000001:public+customerdemographics",
"fieldCount": 2
},
"00000000-0000-4000-8000-000000000001:public+customers": {
"id": "00000000-0000-4000-8000-000000000001:public+customers",
"fieldCount": 11
},
"00000000-0000-4000-8000-000000000001:public+customers_1996": {
"id": "00000000-0000-4000-8000-000000000001:public+customers_1996",
"fieldCount": 12
},
"00000000-0000-4000-8000-000000000001:public+customers_1997": {
"id": "00000000-0000-4000-8000-000000000001:public+customers_1997",
"fieldCount": 12
},
"00000000-0000-4000-8000-000000000001:public+customers_1998": {
"id": "00000000-0000-4000-8000-000000000001:public+customers_1998",
"fieldCount": 12
},
"00000000-0000-4000-8000-000000000001:public+employees": {
"id": "00000000-0000-4000-8000-000000000001:public+employees",
"fieldCount": 18
},
"00000000-0000-4000-8000-000000000001:public+employeeterritories": {
"id": "00000000-0000-4000-8000-000000000001:public+employeeterritories",
"fieldCount": 2
},
"00000000-0000-4000-8000-000000000001:public+order_details": {
"id": "00000000-0000-4000-8000-000000000001:public+order_details",
"fieldCount": 5
},
"00000000-0000-4000-8000-000000000001:public+order_details_1996": {
"id": "00000000-0000-4000-8000-000000000001:public+order_details_1996",
"fieldCount": 6
},
"00000000-0000-4000-8000-000000000001:public+order_details_1997": {
"id": "00000000-0000-4000-8000-000000000001:public+order_details_1997",
"fieldCount": 6
},
"00000000-0000-4000-8000-000000000001:public+order_details_1998": {
"id": "00000000-0000-4000-8000-000000000001:public+order_details_1998",
"fieldCount": 6
},
"00000000-0000-4000-8000-000000000001:public+orders": {
"id": "00000000-0000-4000-8000-000000000001:public+orders",
"fieldCount": 14
},
"00000000-0000-4000-8000-000000000001:public+orders_1996": {
"id": "00000000-0000-4000-8000-000000000001:public+orders_1996",
"fieldCount": 15
},
"00000000-0000-4000-8000-000000000001:public+orders_1997": {
"id": "00000000-0000-4000-8000-000000000001:public+orders_1997",
"fieldCount": 15
},
"00000000-0000-4000-8000-000000000001:public+orders_1998": {
"id": "00000000-0000-4000-8000-000000000001:public+orders_1998",
"fieldCount": 15
},
"00000000-0000-4000-8000-000000000001:public+products": {
"id": "00000000-0000-4000-8000-000000000001:public+products",
"fieldCount": 10
},
"00000000-0000-4000-8000-000000000001:public+region": {
"id": "00000000-0000-4000-8000-000000000001:public+region",
"fieldCount": 2
},
"00000000-0000-4000-8000-000000000001:public+shippers": {
"id": "00000000-0000-4000-8000-000000000001:public+shippers",
"fieldCount": 3
},
"00000000-0000-4000-8000-000000000001:public+shippers_tmp": {
"id": "00000000-0000-4000-8000-000000000001:public+shippers_tmp",
"fieldCount": 3
},
"00000000-0000-4000-8000-000000000001:public+suppliers": {
"id": "00000000-0000-4000-8000-000000000001:public+suppliers",
"fieldCount": 12
},
"00000000-0000-4000-8000-000000000001:public+territories": {
"id": "00000000-0000-4000-8000-000000000001:public+territories",
"fieldCount": 3
},
"00000000-0000-4000-8000-000000000001:public+usstates": {
"id": "00000000-0000-4000-8000-000000000001:public+usstates",
"fieldCount": 4
}
}
Captured from the API examples test suite; ids and timestamps are normalized.

GET /api/datasources/{id}/mappings/{schemaId}+{mappingId}

Get a single mapping (with its fields). The path segment is the schema and mapping joined by +, e.g. public+categories.

Get a single mappingGET /api/datasources/admin:northwind/mappings/public+categories
Addressed by {schemaId}+{mappingId}. Includes the mapping’s fields and metadata.
Response · 200
{
"_links": {
"self": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public%2Bcategories"
},
"inf:datasource": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind"
},
"inf:fields": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public+categories/fields{?sort,limit,start,q,show,contains,showEmbedded,expand,dataType,includeCustom,context,linkDepth}",
"templated": true
},
"inf:links": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public+categories/links{?sort,limit,start,q,show,type,expand}",
"templated": true
},
"inf:references": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public+categories/references{?sort,limit,start,q,show,expand}",
"templated": true
},
"inf:link-types": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public+categories/link-types"
},
"inf:saved-query-filters": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public+categories/saved-query-filters{?sort,limit,start,q}",
"templated": true
},
"inf:criteria-nodes": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public+categories/criteria-nodes"
},
"inf:scan": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public+categories/_scan"
}
},
"id": "00000000-0000-4000-8000-000000000001:public+categories",
"name": "Categories",
"permissions": {
"write": true,
"hide": true,
"delete": true,
"rename": true,
"changeSet": true,
"restoreDefaults": true,
"scan": true
},
"datasourceId": "00000000-0000-4000-8000-000000000001",
"schemaId": "public",
"mappingId": "categories",
"source": "pg",
"sourceId": null,
"description": null,
"hidden": false,
"records": 8,
"size": "524288",
"data": {
"size": "524288",
"records": "8",
"schemaId": "public",
"mappingId": "categories"
},
"createdAt": "2026-01-15T16:20:00.000Z",
"updatedAt": "2026-01-15T16:20:00.000Z",
"_changes": null,
"tenant": "acme",
"_embedded": {
"inf:mapping-set": []
}
}
Captured from the API examples test suite; ids and timestamps are normalized.

GET /api/datasources/{id}/mappings/{schemaId}+{mappingId}/uses

Find the datasets, reports, and other entities that reference a mapping.

Find what uses a mappingGET /api/datasources/admin:northwind/mappings/public+categories/uses
The datasets, reports, and other entities that reference this mapping.
Response · 200 · empty list (no items in this example)
Captured from the API examples test suite; ids and timestamps are normalized.

GET /api/datasources/{id}/mappings/{schemaId}+{mappingId}/fields-list

List a mapping's fields (flat array).

List a mapping’s fieldsGET /api/datasources/admin:northwind/mappings/public+categories/fields-list
Response · 200
[
{
"id": "00000000-0000-4000-8000-000000000001:public+categories:CategoryID",
"name": "Category",
"description": null,
"dataType": "integer",
"rawType": "smallint",
"fieldId": "CategoryID",
"data": {
"isFk": false,
"isPk": true,
"fieldId": "CategoryID",
"rawType": "smallint",
"udtName": "int2",
"pkSeqNum": 1,
"schemaId": "public",
"mappingId": "categories",
"udtSchema": "pg_catalog",
"ordinalPosition": 1,
"arrayElementType": null
},
"createdAt": "2026-01-15T16:20:00.000Z",
"updatedAt": "2026-01-15T16:20:00.000Z",
"_changes": null,
"restricted": false,
"hidden": false,
"isFk": false,
"isPk": true,
"expression": null,
"ordinalPosition": 1,
"codeName": null,
"fieldSetId": null,
"fieldSetName": null,
"fieldSetIcon": null,
"fieldSetColor": null,
"permissions": {
"write": true,
"edit": true,
"hide": true,
"restrict": true,
"restoreDefaults": true,
"rename": true,
"changeSet": true,
"unhide": true
},
"size": null
},
{
"id": "00000000-0000-4000-8000-000000000001:public+categories:CategoryName",
"name": "Category Name",
"description": null,
"dataType": "keyword_text",
"rawType": "character varying",
"fieldId": "CategoryName",
"data": {
"isFk": false,
"isPk": false,
"fieldId": "CategoryName",
"rawType": "character varying",
"udtName": "varchar",
"pkSeqNum": null,
"schemaId": "public",
"mappingId": "categories",
"udtSchema": "pg_catalog",
"ordinalPosition": 2,
"arrayElementType": null
},
"createdAt": "2026-01-15T16:20:00.000Z",
"updatedAt": "2026-01-15T16:20:00.000Z",
"_changes": null,
"restricted": false,
"hidden": false,
"isFk": false,
"isPk": false,
"expression": null,
"ordinalPosition": 2,
"codeName": null,
"fieldSetId": null,
"fieldSetName": null,
"fieldSetIcon": null,
"fieldSetColor": null,
"permissions": {
"write": true,
"edit": true,
"hide": true,
"restrict": true,
"restoreDefaults": true,
"rename": true,
"changeSet": true,
"unhide": true
},
"size": null
},
{
"id": "00000000-0000-4000-8000-000000000001:public+categories:Description",
"name": "Description",
"description": null,
"dataType": "keyword_text",
"rawType": "text",
"fieldId": "Description",
"data": {
"isFk": false,
"isPk": false,
"fieldId": "Description",
"rawType": "text",
"udtName": "text",
"pkSeqNum": null,
"schemaId": "public",
"mappingId": "categories",
"udtSchema": "pg_catalog",
"ordinalPosition": 3,
"arrayElementType": null
},
"createdAt": "2026-01-15T16:20:00.000Z",
"updatedAt": "2026-01-15T16:20:00.000Z",
"_changes": null,
"restricted": false,
"hidden": false,
"isFk": false,
"isPk": false,
"expression": null,
"ordinalPosition": 3,
"codeName": null,
"fieldSetId": null,
"fieldSetName": null,
"fieldSetIcon": null,
"fieldSetColor": null,
"permissions": {
"write": true,
"edit": true,
"hide": true,
"restrict": true,
"restoreDefaults": true,
"rename": true,
"changeSet": true,
"unhide": true
},
"size": null
},
"… 1 more items (4 total) — omitted from docs"
]
Captured from the API examples test suite; ids and timestamps are normalized.

GET /api/datasources/{id}/mappings/{schemaId}+{mappingId}/fields

Search and page through a mapping's fields.

Search a mapping’s fieldsGET /api/datasources/admin:northwind/mappings/public+categories/fields?limit=5
A paginated HAL collection of the mapping’s fields.
Response · 200
{
"_links": {
"self": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public%2Bcategories/fields?sort=name&limit=5&start=0&q=&show=visible&contains=false&showEmbedded=false&includeCustom=true&linkDepth=0"
}
},
"start": 0,
"count": 4,
"total": 4,
"aggs": {
"visibility": {
"all": 4,
"visible": 4
},
"dataType": {
"keyword_text": 2,
"binary": 1,
"integer": 1
},
"total": 4
},
"lastScanned": "2026-01-15T16:20:00.000Z",
"_embedded": {
"inf:field": [
{
"_links": {
"self": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public%2Bcategories/fields/CategoryID"
}
},
"id": "00000000-0000-4000-8000-000000000001:public+categories:CategoryID",
"name": "Category",
"mappingPath": "00000000-0000-4000-8000-000000000001:public+categories",
"permissions": {
"write": true,
"edit": true,
"hide": true,
"restrict": true,
"restoreDefaults": true,
"rename": true,
"changeSet": true,
"unhide": true
},
"mappingId": "categories",
"schemaId": "public",
"datasourceId": "00000000-0000-4000-8000-000000000001",
"fieldId": "CategoryID",
"source": "pg",
"sourceId": null,
"hidden": false,
"restricted": false,
"data": {
"isFk": false,
"isPk": true,
"fieldId": "CategoryID",
"rawType": "smallint",
"udtName": "int2",
"pkSeqNum": 1,
"schemaId": "public",
"mappingId": "categories",
"udtSchema": "pg_catalog",
"ordinalPosition": 1,
"arrayElementType": null
},
"description": null,
"rawType": "smallint",
"dataType": "integer",
"formatOptions": {},
"ordinalPosition": "1",
"isPk": true,
"pkSeqNum": 1,
"isFk": false,
"expression": null,
"codeId": null,
"fieldSetName": null,
"fieldSetColor": null,
"fieldSetIcon": null
},
{
"_links": {
"self": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public%2Bcategories/fields/CategoryName"
}
},
"id": "00000000-0000-4000-8000-000000000001:public+categories:CategoryName",
"name": "Category Name",
"mappingPath": "00000000-0000-4000-8000-000000000001:public+categories",
"permissions": {
"write": true,
"edit": true,
"hide": true,
"restrict": true,
"restoreDefaults": true,
"rename": true,
"changeSet": true,
"unhide": true
},
"mappingId": "categories",
"schemaId": "public",
"datasourceId": "00000000-0000-4000-8000-000000000001",
"fieldId": "CategoryName",
"source": "pg",
"sourceId": null,
"hidden": false,
"restricted": false,
"data": {
"isFk": false,
"isPk": false,
"fieldId": "CategoryName",
"rawType": "character varying",
"udtName": "varchar",
"pkSeqNum": null,
"schemaId": "public",
"mappingId": "categories",
"udtSchema": "pg_catalog",
"ordinalPosition": 2,
"arrayElementType": null
},
"description": null,
"rawType": "character varying",
"dataType": "keyword_text",
"formatOptions": {},
"ordinalPosition": "2",
"isPk": false,
"pkSeqNum": null,
"isFk": false,
"expression": null,
"codeId": null,
"fieldSetName": null,
"fieldSetColor": null,
"fieldSetIcon": null
},
{
"_links": {
"self": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public%2Bcategories/fields/Description"
}
},
"id": "00000000-0000-4000-8000-000000000001:public+categories:Description",
"name": "Description",
"mappingPath": "00000000-0000-4000-8000-000000000001:public+categories",
"permissions": {
"write": true,
"edit": true,
"hide": true,
"restrict": true,
"restoreDefaults": true,
"rename": true,
"changeSet": true,
"unhide": true
},
"mappingId": "categories",
"schemaId": "public",
"datasourceId": "00000000-0000-4000-8000-000000000001",
"fieldId": "Description",
"source": "pg",
"sourceId": null,
"hidden": false,
"restricted": false,
"data": {
"isFk": false,
"isPk": false,
"fieldId": "Description",
"rawType": "text",
"udtName": "text",
"pkSeqNum": null,
"schemaId": "public",
"mappingId": "categories",
"udtSchema": "pg_catalog",
"ordinalPosition": 3,
"arrayElementType": null
},
"description": null,
"rawType": "text",
"dataType": "keyword_text",
"formatOptions": {},
"ordinalPosition": "3",
"isPk": false,
"pkSeqNum": null,
"isFk": false,
"expression": null,
"codeId": null,
"fieldSetName": null,
"fieldSetColor": null,
"fieldSetIcon": null
},
"… 1 more items (4 total) — omitted from docs"
]
}
}
Captured from the API examples test suite; ids and timestamps are normalized.

GET /api/datasources/{id}/mappings/{schemaId}+{mappingId}/fields/{fieldId}

Get a single field by its id within the mapping (e.g. CategoryID).

Get a single fieldGET /api/datasources/admin:northwind/mappings/public+categories/fields/CategoryID
Addressed by the field id within the mapping (e.g. CategoryID).
Response · 200
{
"_links": {
"self": {
"href": "https://informer.example.com/api/datasources/admin%3Anorthwind/mappings/public%2Bcategories/fields/CategoryID"
},
"inf:code-values": {
"href": "https://informer.example.com/api/codes//values"
}
},
"id": "00000000-0000-4000-8000-000000000001:public+categories:CategoryID",
"name": "Category",
"mappingPath": "00000000-0000-4000-8000-000000000001:public+categories",
"permissions": {
"write": true,
"edit": true,
"hide": true,
"restrict": true,
"restoreDefaults": true,
"rename": true,
"changeSet": true,
"unhide": true
},
"datasourceId": "00000000-0000-4000-8000-000000000001",
"schemaId": "public",
"mappingId": "categories",
"fieldId": "CategoryID",
"source": "pg",
"sourceId": null,
"hidden": false,
"data": {
"isFk": false,
"isPk": true,
"fieldId": "CategoryID",
"rawType": "smallint",
"udtName": "int2",
"pkSeqNum": 1,
"schemaId": "public",
"mappingId": "categories",
"udtSchema": "pg_catalog",
"ordinalPosition": 1,
"arrayElementType": null
},
"description": null,
"rawType": "smallint",
"dataType": "integer",
"formatOptions": {},
"ordinalPosition": "1",
"isPk": true,
"pkSeqNum": 1,
"isFk": false,
"restricted": false,
"expression": null,
"fieldSetId": null,
"createdAt": "2026-01-15T16:20:00.000Z",
"updatedAt": "2026-01-15T16:20:00.000Z",
"_changes": null,
"tenant": "acme",
"codeId": null
}
Captured from the API examples test suite; ids and timestamps are normalized.

Mutating mappings and fields

Mappings and fields are normally maintained by scanning the datasource. The write endpoints below exist for advanced cases:

  • POST /api/datasources/\{id\}/mappings: create a mapping
  • PUT / PATCH / DELETE /api/datasources/\{id\}/mappings/\{schemaId\}+\{mappingId\}: update or remove a mapping
  • POST /api/datasources/\{id\}/mappings/\{schemaId\}+\{mappingId\}/_scan: re-scan a mapping
  • POST /api/datasources/\{id\}/mappings/\{schemaId\}+\{mappingId\}/fields: add a computed/expression field
  • PATCH / PUT / DELETE on .../fields/\{fieldId\}: edit or remove a field